Cannot update & upgrade Qt Opensource via MaintenanceTool



  • I am trying to update & upgrade Qt Opensource via Maintenance Tool and when I run this tool, I get following notifications from terminal:

    qt.network.ssl: QSslSocket: cannot resolve SSLv2_client_method
    qt.network.ssl: QSslSocket: cannot resolve SSLv2_server_method
    [5473] Warning: Ignoring following settings reader error in :/metadata/installer-config/config.xml, line 14, column 21: Unexpected > > element 'UninstallerName'.
    [5621] Warning: Could not find Qt Account settings from the disk
    [138338] Warning: QWizard::setPage: Cannot insert null page

    and then login window shows up. I have account at Qt (even for opensource version) and I use same credentials in MaintenanceTool as in web login. It seems credentials are ok, but then I get following text from MaintenanceTool:

    No valid license available in your Qt Account for this host platform.

    That is ok since I did not purchase neither have trial version of Qt Enterprise, but why then MaintenanceTool let me forward and upgrade & update opensource version?

    Sincerely,
    Marko


  • Lifetime Qt Champion

    Hi,

    What version of Qt are you using while hitting this ?



  • Qt 5.4.1 / Linux 64 bit.


  • Lifetime Qt Champion

    I remember having a problem similar but what I did to avoid losing time is to grab the online installer and get Qt 5.5 directly


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.